#include <stdio.h>
#include <string.h>

#include "version.h"


uint8_t version_to_string(Version v, char *dst) {

    int len = snprintf(dst, VERSION_STRING_LEN, "%u.%u.%u", v.major, v.minor, v.revision);

    return len + 1;  // include the null-terminator

}
